package com.ruoyi.system.domain;

import com.alibaba.fastjson.annotation.JSONField;

import java.math.BigDecimal;

public class Salary3 {

    public Salary3() {
    }
    @JSONField(name = "序号")
    private Integer id;
    @JSONField(name = "单元号")
    private String unitNumber;
    @JSONField(name = "年月")
    private String yearAndMonth;
    @JSONField(name = "姓名")
    private String name;
    @JSONField(name = "员工ID")
    private String userId;
    @JSONField(name = "岗级")
    private String postLevel;
    @JSONField(name = "计提年终奖")
    private BigDecimal yearEndBonus;
    @JSONField(name = "备注")
    private String mark;
    @JSONField(name = "上传人")
    private String uploadPerson;
    @JSONField(name = "上传日期时间")
    private String uploadTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUnitNumber() {
        return unitNumber;
    }

    public void setUnitNumber(String unitNumber) {
        this.unitNumber = unitNumber;
    }

    public String getYearAndMonth() {
        return yearAndMonth;
    }

    public void setYearAndMonth(String yearAndMonth) {
        this.yearAndMonth = yearAndMonth;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getPostLevel() {
        return postLevel;
    }

    public void setPostLevel(String postLevel) {
        this.postLevel = postLevel;
    }

    public BigDecimal getYearEndBonus() {
        return yearEndBonus;
    }

    public void setYearEndBonus(BigDecimal yearEndBonus) {
        this.yearEndBonus = yearEndBonus;
    }

    public String getMark() {
        return mark;
    }

    public void setMark(String mark) {
        this.mark = mark;
    }

    public String getUploadPerson() {
        return uploadPerson;
    }

    public void setUploadPerson(String uploadPerson) {
        this.uploadPerson = uploadPerson;
    }

    public String getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(String uploadTime) {
        this.uploadTime = uploadTime;
    }

    @Override
    public String toString() {
        return "Salary3{" +
                "id=" + id +
                ", unitNumber='" + unitNumber + '\'' +
                ", yearAndMonth='" + yearAndMonth + '\'' +
                ", name='" + name + '\'' +
                ", postLevel='" + postLevel + '\'' +
                ", yearEndBonus=" + yearEndBonus +
                ", mark='" + mark + '\'' +
                ", uploadPerson='" + uploadPerson + '\'' +
                ", uploadTime='" + uploadTime + '\'' +
                '}';
    }
}
